about summary refs log tree commit diff
path: root/tests/substituter2.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2007-08-13T13·15+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2007-08-13T13·15+0000
commit550ba9ebb4b1b2415c9930879cfa6937f7fa916a (patch)
tree3c15b0a01c59be162a17bb003d09fbd80ba01aa1 /tests/substituter2.sh
parent3757ee589f46a401fdacaa2126e6bf4902eee23d (diff)
* Fix the tests.
Diffstat (limited to 'tests/substituter2.sh')
-rwxr-xr-xtests/substituter2.sh21
1 files changed, 18 insertions, 3 deletions
diff --git a/tests/substituter2.sh b/tests/substituter2.sh
index c4e1bfec7b39..1bcf65a54d0e 100755
--- a/tests/substituter2.sh
+++ b/tests/substituter2.sh
@@ -1,3 +1,18 @@
-#! /bin/sh -ex
-echo $*
-exit 1
+#! /bin/sh -e
+echo substituter2 args: $* >&2
+
+if test $1 = "--query-paths"; then
+    cat $TEST_ROOT/sub-paths
+elif test $1 = "--query-info"; then
+    shift
+    for i in in $@; do
+        echo $i
+        echo "" # deriver
+        echo 0 # nr of refs
+    done
+elif test $1 = "--substitute"; then
+    exit 1
+else
+    echo "unknown substituter operation"
+    exit 1
+fi